//
//  ColorPickerSubView.swift
//  ColorPicker
//
//  Created by Akira Hayashi on 2022/09/21.
//

import SwiftUI

struct ColorPickerSubView: View {
    @ObservedObject var channel: ColorPickerChannelModel
    @ObservedObject var gradation: ColorPickerGradationModel
    
    var body: some View {
        VStack {
            HStack {
                Text("\(channel.channelName): ")
                    .font(.title)
                TextField("", text: channel.fieldText)
                    .textFieldStyle(.roundedBorder)
            }
            PickerGradationView(channel: channel, gradation: gradation)
        }
    }
}

struct ColorPickerSubView_Previews: PreviewProvider {
    static var previews: some View {
        ColorPickerSubView(channel: ColorPickerChannelModel(channelName: "Red"), gradation: .red)
            .padding()
    }
}
